# News APIs

Use the API playground at <https://api.salesintel.io> to test the API request and response patterns

## Retrieve news articles for identified companies

<mark style="color:blue;">`GET`</mark> `https://api.salesintel.io/service/news`

You can use this API to retrieve news articles for a set of companies, specified by domain.  Credits are consumed based on the number of articles returned.

Articles can be filtered by content category or type. Further, the response set can be limited by article publish date or by article extraction date (the date SalesIntel identified it). These two dates may be different; if you are looking to get all articles and then keep the full list up to date, extraction date is recommended.

The response set is paginated, with up to 50 records per page. You are charged credits based on the number of records on the pages accessed. If you only retrieve the first page of results out of 10, at a page size of 50, you will be charged for 50 records. The page size is adjustable.

The news article extraction timeframe started on February 20, 2023. 6 months of news data (based on published date) is available, but only starting from that extraction date.

## Query Parameters

<table><thead><tr><th>Name</th><th width="149">Type</th><th>Description</th></tr></thead><tbody><tr><td>company_domains<mark style="color:red;">*</mark></td><td>String</td><td>Comma-separated list of domains</td></tr><tr><td>extracted_begin_date</td><td>String</td><td>Returns articles that SalesIntel identified on or after the date, in format yyyyMMdd (20230401)</td></tr><tr><td>location_country_codes</td><td>String</td><td>Comma-separated list of ISO-2 country codes; the same article can appear for multiple country-domain combinations. To ensure uniqueness, use the country code of your target company record</td></tr><tr><td>published_begin_date</td><td>String</td><td>Returns articles that were published on or after the date in format yyyyMMdd (20230401)</td></tr><tr><td>news_categories</td><td>String</td><td>List of <a href="#news-categories-and-types">news categories</a> separated by comma</td></tr><tr><td>news_event_types</td><td>String</td><td>List of <a href="#news-categories-and-types">news types</a> separated by comma</td></tr><tr><td>page</td><td>Integer</td><td>Page number</td></tr><tr><td>page_size</td><td>Integer</td><td>If not specified, the default page size is 50 records</td></tr></tbody></table>

## Headers

| Name                                          | Type   | Description      |
| --------------------------------------------- | ------ | ---------------- |
| X-CB-ApiKey<mark style="color:red;">\*</mark> |        | {your API key}   |
| Accept<mark style="color:red;">\*</mark>      | String | application/json |

## Response

{% tabs %}
{% tab title="200: OK" %}
200: OK&#x20;

To see the full response, use the playground at <https://api.salesintel.io>
{% endtab %}

{% tab title="401: Unauthorized" %}
401: Unauthorized&#x20;

You have not included your credentials properly in your request
{% endtab %}

{% tab title="402: Payment Required" %}
402: Payment Required

You do not have enough credits to return any/all of your request
{% endtab %}

{% tab title="403: Forbidden" %}
403: Forbidden

Your account does not have the necessary permissions to access this service
{% endtab %}

{% tab title="500: Internal Server Error" %}
500: Internal Server Error

There may be an outage on the SalesIntel side. If the error persists, please contact us
{% endtab %}
{% endtabs %}

{% code title="Response Model" %}

```json
{
  "aggregations": {},
  "batch_id": {},
  "error": "string",
  "is_preview": true,
  "page": 0,
  "page_size": 0,
  "result_count": 0,
  "search_results": [
    {
      "article": {
        "article_id": "string",
        "description": "string",
        "extraction_date": "string",
        "link": "string",
        "news_category": "string",
        "news_event_type": "string",
        "published_date": "string",
        "publisher_name": "string",
        "publisher_url": "string",
        "rss_url": "string",
        "title": "string"
      },
      "primary_domain": "string"
      "country": "string"
    }
  ],
  "sort_by": "string",
  "sort_direction": "string",
  "took": 0,
  "total_count": 0,
  "tracking_id": "string"
}
```

{% endcode %}

## Enums

### News Categories and Types

<table><thead><tr><th>News Category</th><th>News Type</th><th data-hidden></th></tr></thead><tbody><tr><td>Corporate</td><td>Awards &#x26; Recognition</td><td></td></tr><tr><td></td><td>Conference Presentation</td><td></td></tr><tr><td>Financial &#x26; Legal</td><td>Asset Purchase</td><td></td></tr><tr><td></td><td>Asset Sales</td><td></td></tr><tr><td></td><td>Bankruptcy</td><td></td></tr><tr><td></td><td>Change in Control</td><td></td></tr><tr><td></td><td>Delisting</td><td></td></tr><tr><td></td><td>Earnings</td><td></td></tr><tr><td></td><td>Fraud</td><td></td></tr><tr><td></td><td>Funding</td><td></td></tr><tr><td></td><td>Government Contract</td><td></td></tr><tr><td></td><td>Indictment</td><td></td></tr><tr><td></td><td>IPO</td><td></td></tr><tr><td></td><td>JV &#x26; Partnerships</td><td></td></tr><tr><td></td><td>Line of Credit</td><td></td></tr><tr><td></td><td>Litigation</td><td></td></tr><tr><td></td><td>M&#x26;A</td><td></td></tr><tr><td></td><td>Name Change</td><td></td></tr><tr><td></td><td>Other Negative News</td><td></td></tr><tr><td></td><td>Restructuring</td><td></td></tr><tr><td></td><td>Stock</td><td></td></tr><tr><td></td><td>Subsidiary Closing</td><td></td></tr><tr><td>General</td><td>General/Other</td><td></td></tr><tr><td>Growth &#x26; Contraction</td><td>Branch Closing</td><td></td></tr><tr><td></td><td>Branch Management</td><td></td></tr><tr><td></td><td>Business Closing</td><td></td></tr><tr><td></td><td>Product Launch</td><td></td></tr><tr><td>Personnel Changes</td><td>Board</td><td></td></tr><tr><td></td><td>Hiring</td><td></td></tr><tr><td></td><td>Layoffs</td><td></td></tr><tr><td></td><td>Leadership Changes</td><td></td></tr><tr><td></td><td>Workforce Change</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.salesintel.io/salesintel-api-documentation/news-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
